Dr. Gary North

Institute for Christian Economics
PO. Box 8000

Tyler, TX 75711

Dear Dr. North:

I read about your organization in Gary DeMar’s book, Ruler of
the Nations. I understand that you publish several newsletters that
are sent out for six months free of charge. I would be interested in
receiving them:

C1) Biblical Economics Today
Christian Reconstruction
and Covenant Renewal

Please send any other information you have concerning your
program.

 

Tame

 

‘address

 

ity, ate, iP

 

‘area code and phone number

D Enclosed is a tax-deductible donation to help meet expenses.
